---
title: "iex and dbg/1 without pry prompts"
date: "2023-06-22"
toc: false
---

I love `iex -S mix ...` but I usually don't like when `dbg` asks me to `pry`.
Just show me my data! Well, today I learned about `iex --no-pry`:

<!--more-->

```console
$ iex --help
Usage: iex [options] [.exs file] [data]
  ...
  --no-pry            Doesn't start pry sessions when dbg/2 is called.
```

Now I can `iex --no-pry -S mix ...` and just see output instead of dealing with
the prompts for `pry`ing! Not sure if anybody else felt this pain, but there
ya go.
